Subject: bug#30937: closed (Re: bug#30937: In `comment-region', C-g doesn't work.)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 02 Nov 2019 00:54:02 +0000

Your bug report

#30937: In `comment-region', C-g doesn't work.

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
30937: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=30937
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#30937: In `comment-region', C-g doesn't work.
From: Stefan Kangas <[email-masked]>
To: Alan Mackenzie <[email-masked]>
Cc: Glenn Morris <[email-masked]>, Eli Zaretskii <[email-masked]>, Noam Postavsky <[email-masked]>, [email-masked]
Date: Sat, 02 Nov 2019 01:53:28 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Alan Mackenzie <[email-masked]> writes:

> Hello, Glenn.
>
> On Tue, Jan 08, 2019 at 20:06:59 -0500, Glenn Morris wrote:
>> Noam Postavsky wrote:
>
>> > I'm not able to reproduce this on a Linux tty (I assume that means the
>> > virtual terminal you get when pressing Ctrl+Alt+F1).
>
>> Me neither. I tried on two different systems.
>
>> My suggestion is to close this report, since it has been months and
>> it doesn't seem to be leading anywhere.
>
> OK, I won't object to closing this bug report, since the bug doesn't
> seem to be happening (on Emacs 26.1 and master) at the moment.  I would
> object to labelling the closure "not a bug" or "won't fix".

Thanks, I'm consequently closing this bug report.

Best regards,
Stefan Kangas

Subject: In `comment-region', C-g doesn't work.
From: Alan Mackenzie <[email-masked]>
To: [email-masked]
Date: Sun, 25 Mar 2018 14:28:55 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello, Emacs.

emacs-26.0.91 -Q
C-x C-f Any largish file.c
C-x h                 ; mark buffer.
C-c C-c               ; comment-region.

This is the sort of thing that can happen by accident.  Depending on the
size of the file.c and the speed of your machine, you've now got a long,
long wait.  C-g doesn't work.  This is a bug.

(The same applies to `uncomment-region'.)

-- 
Alan Mackenzie (Nuremberg, Germany).